#pragma once
#include "EntityState.h"
extern const int CS_QuoteSTATENAME_LOCK;
//技能：射击方向锁定
class CS_QuoteLock :
	public EntitySkillState
{
public:
	CS_QuoteLock();
	const wchar_t* GetSaveName() override;
	const wchar_t* GetFuncName() override;
	const wchar_t* GetCheckFuncName() override;
	void SubStep() override;
	void ChangeStateMsg(int stateID) override;
	bool bLock = false;
};

